import { longestPath as e } from "./util.js";
import { feasibleTree as t } from "./feasible-tree.js";
import { networkSimplex as n } from "./network-simplex.js";
//#region ../../node_modules/dagre-d3-es/src/dagre/rank/index.js
function r(e) {
	switch (e.graph().ranker) {
		case "network-simplex":
			o(e);
			break;
		case "tight-tree":
			a(e);
			break;
		case "longest-path":
			i(e);
			break;
		default: o(e);
	}
}
var i = e;
function a(n) {
	e(n), t(n);
}
function o(e) {
	n(e);
}
//#endregion
export { r as rank };
